> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Location

> Get details for a specific location.



## OpenAPI

````yaml GET /api/v1/groups/{group_id}/locations/{location_id}
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/groups/{group_id}/locations/{location_id}:
    get:
      tags:
        - Group Configuration
      summary: Get a single Group Location
      description: >-
        Returns the latest version of a single group location based on the ID
        provided.
      operationId: getLocation
      parameters:
        - description: The unique identifier of the group the location belongs to
          in: path
          name: group_id
          required: true
          schema:
            example: 2613a221-d3c8-4c8a-86d5-e7e885fd1da9
            format: uuid
            type: string
        - description: The unique identifier of the location to be retrieved
          in: path
          name: location_id
          required: true
          schema:
            example: bd957820-4652-4ee7-8a3a-6413df21e28d
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              example:
                address:
                  city: San Francisco
                  county: San Francisco
                  state: CA
                  street_one: 1234 Test Ln
                  zip_code: '94107'
                created: 1557512389
                group_id: 2613a221-d3c8-4c8a-86d5-e7e885fd1da9
                id: bd957820-4652-4ee7-8a3a-6413df21e28d
                modified: 1543215342
                version: f4142cba-f3eb-4917-b3bd-123d683f18d7
              schema:
                $ref: '#/components/schemas/LocationResult'
          description: Successful Response - Returns a single Group Location
components:
  schemas:
    LocationResult:
      properties:
        address:
          allOf:
            - $ref: '#/components/schemas/Address'
          description: Address of the group location
        created:
          description: The date the record was created
          type: integer
        display_name:
          description: Display name for the group location
          example: Primary Company Location
          type: string
        group_id:
          description: Unique identifier of the group in Noyo
          format: uuid
          readOnly: true
          type: string
        id:
          description: Unique identifier of the record in Noyo
          format: uuid
          type: string
        modified:
          description: The date the record was last updated
          type: integer
        version:
          description: Current version of the record
          format: uuid
          type: string
      required:
        - address
        - created
        - display_name
        - group_id
        - id
        - modified
        - version
      type: object
      x-field_order:
        - id
        - version
        - created
        - modified
        - group_id
        - display_name
        - address
    Address:
      properties:
        city:
          description: City of the address
          example: Bend
          type: string
        county:
          description: County of the address
          example: Deschutes
          type: string
        state:
          description: State postal code of the address
          enum:
            - AL
            - AK
            - AZ
            - AR
            - CA
            - CO
            - CT
            - DE
            - DC
            - FL
            - GA
            - HI
            - ID
            - IL
            - IN
            - IA
            - KS
            - KY
            - LA
            - ME
            - MD
            - MA
            - MI
            - MN
            - MS
            - MO
            - MT
            - NE
            - NV
            - NH
            - NJ
            - NM
            - NY
            - NC
            - ND
            - OH
            - OK
            - OR
            - PA
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VT
            - VA
            - WA
            - WV
            - WI
            - WY
            - AS
            - GU
            - MH
            - FM
            - MP
            - PW
            - PR
            - VI
            - UM
          example: OR
          type: string
        street_one:
          description: Line one of the address
          example: 339 Hickory Street
          type: string
        street_two:
          description: Line two of the address
          example: Apartment 5
          type: string
        zip_code:
          description: Zip code of the address
          example: '97701'
          pattern: ^(\d{5})(?:-?)(\d{4})?$
          type: string
      required:
        - city
        - state
        - street_one
        - zip_code
      type: object
      x-field_order:
        - street_one
        - street_two
        - city
        - state
        - zip_code
        - county

````